
#define GROUP_ALL	0
#define GROUP_SUBSCRIBED 1
#define GROUP_NEW   2
#define GROUP_CHANGED 4
#define GROUP_ONDISK 8

typedef struct _group_data group_data;
struct _group_data {
    gchar *name;
    gint flags;
    gint articles;
    GSList *article_list;
    gint row;
};

/***************************
/ groups.c
***************************/
void grouplist_save(void);
GtkWidget *create_articlelist_clist(void);
GtkWidget *create_groups_clist(void);
void open_group_file(FILE *);
void group_clist_update(void);
void group_clist_update_row(group_data *gdata);
void load_groups_file(void);
void load_group_list(void);
void grep_activated(GtkWidget *);
void clean_group(group_data *);
void grouplist_free(GSList *);
gint compare_group_data(group_data *, group_data *);
void choose_download_dialog(group_data *);
void group_free(group_data *gdata);
void get_all_groups(void);
