#include "groups.h"
#include "article.h"
#include "db.h"
#include "queue.h"
#include "nntp.h"
#include "text.h"
#include "util.h"
#include "server.h"
#include "sockets.h"
#include "articlelist.h"
#include "gui.h"
#include "props.h"
#include "date.h"
#include "guru.h"
#include "menu.h"
#include <pthread.h>

/* Defines */
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 255
#endif
#ifndef PATH_MAX
#define PATH_MAX 255
#endif

extern struct _Pan {
    gchar *error;
    pthread_t thread;
    int p[2];
    GtkWidget *window;
    GtkWidget *appbar;
    GtkWidget *article_ctree;
    GtkWidget *group_clist;
    gint idle_tag;
    gint timer_tag;
    server_data *active_server;
    group_data *displayed_group;
    Props *props;
    GnomePixmap *article_read_pixmap;
    GnomePixmap *error_pixmap;
    GnomePixmap *binary_decoded_pixmap;
    GSList *grouplist;
} Pan;

/* Function Definitions */
void pan_shutdown(void);
