#define QUEUE_ARTICLE_DOWNLOAD 0
#define QUEUE_ARTICLE_DECODE 1
#define QUEUE_ARTICLE_POST 2
#define QUEUE_ARTICLELIST_DOWNLOAD_ALL 3
#define QUEUE_ARTICLELIST_DOWNLOAD_NEW 4
#define QUEUE_ARTICLELIST_DOWNLOAD_SAMPLE 5
#define QUEUE_ARTICLELIST_LOAD 6
#define QUEUE_GROUPLIST_DOWNLOAD 7
#define QUEUE_MULTIPART_DECODE 8
#define QUEUE_FOREGROUND 128
#define QUEUE_BACKGROUND 256

typedef struct _queue_data queue_data;
struct _queue_data {
    gchar *str;
    group_data *gdata;
    guint flags;
};

queue_data *get_queue_next(void);
void queue_purge(void);
void queue_init(void);
void queue_add_grouplist_download(void);
void queue_add_article_download(article_data *, guint);
void queue_add_multipart_download(article_data *, guint);
void queue_add_articlelist_download(group_data *, guint);
void queue_add_post(gchar *);
int queue_active(void);

void articlelist_download(queue_data *);
